## pari 1.39.03-5

=== examples/Makefile ===
CC = gcc
CFLAGS = -O2 -ansi -I/usr/local/include/pari -DLONG_IS_32BIT -DULONG_NOT_DEFINED

all:    mattrans

mattrans:	mattrans.c
	$(CC) $(CFLAGS) -o mattrans mattrans.c -lpari -lm

=== src/Makefile ===
# Makefile for gp on i386

# Change these installation directories to suit your needs

PREFIX = /usr/local
LIBDIR = $(PREFIX)/lib
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man
INCLUDEDIR = $(PREFIX)/include/pari

CC = gcc
CFLAGS = -O2 -g -ansi -DLONG_IS_32BIT -DULONG_NOT_DEFINED
LIBS = -lm
LFLAGS =

# You can (if you want to debug gp yourself) add the -g option
# in CFLAGS. However, remember that, while gcc accepts -g and -O
# simultaneously, cc usually does not.

RM = rm -f
LN = ln -s
RANLIB = ranlib
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

# Choose the plot file:

# no plotting capabilities:
#PLOTFILE = plotnull.c
#PLOTCFLAGS =
#PLOTLIBS =

# plotting in X windows:
PLOTFILE = plotX.c
PLOTCFLAGS = -I/usr/openwin/share/include
PLOTLIBS =  -L/usr/X11R6/lib -lX11

# Choose whether you want the readline input facilities:
#GPMAIN = gp.o
#RLLIBS =
#RLFLAGS =
#MORECFLAGS =

GPMAIN = gpreadline.o
RLLIBS = /usr/lib/libreadline.a
RLFLAGS = -L/usr/lib -lreadline
MORECFLAGS = -DREADLINE -I/usr/include

OBJS = i386.o mp.o anal.o alglin1.o alglin2.o base1.o base2.o base3.o arith1.o arith2.o bibli1.o bibli2.o elliptic.o es.o gen1.o gen2.o gen3.o init.o errmessages.o helpmessages.o polarit1.o polarit2.o trans1.o trans2.o trans3.o buch1.o buch2.o version.o gp_rl.o

all:	genpari.h gp

gp:	genpari.h $(GPMAIN) $(OBJS) plot.o $(RLLIBS)
	$(CC) $(CFLAGS) $(LFLAGS) -o gp $(GPMAIN) $(OBJS) plot.o $(LIBS) $(PLOTLIBS) $(RLFLAGS)

genpari.h:	genpariother.h
	-$(RM) genpari.h
	$(LN) genpariother.h genpari.h

mp.o:	mp.c
	$(CC) $(CFLAGS) -c mp.c

i386.o:	i386.s
	$(CC) $(CFLAGS) -c i386.s

i386.s:	i386.c
	$(CC) -E i386.c > i386.s

gp.o: gp.c
	$(CC) $(CFLAGS) -c gp.c

alglin1.o: alglin1.c
	$(CC) $(CFLAGS) -c alglin1.c

alglin2.o: alglin2.c
	$(CC) $(CFLAGS) -c alglin2.c

anal.o: anal.c
	$(CC) $(CFLAGS) -c anal.c

arith1.o: arith1.c
	$(CC) $(CFLAGS) -c arith1.c

arith2.o: arith2.c
	$(CC) $(CFLAGS) -c arith2.c

base1.o: base1.c
	$(CC) $(CFLAGS) -c base1.c

base2.o: base2.c
	$(CC) $(CFLAGS) -c base2.c

base3.o: base3.c
	$(CC) $(CFLAGS) -c base3.c

buch1.o: buch1.c
	$(CC) $(CFLAGS) -c buch1.c

buch2.o: buch2.c
	$(CC) $(CFLAGS) -c buch2.c

bibli1.o: bibli1.c
	$(CC) $(CFLAGS) -c bibli1.c

bibli2.o: bibli2.c
	$(CC) $(CFLAGS) -c bibli2.c

elliptic.o: elliptic.c
	$(CC) $(CFLAGS) -c elliptic.c

es.o: es.c
	$(CC) $(CFLAGS) -c es.c

gen1.o: gen1.c
	$(CC) $(CFLAGS) -c gen1.c

gen2.o: gen2.c
	$(CC) $(CFLAGS) -c gen2.c

gen3.o: gen3.c
	$(CC) $(CFLAGS) -c gen3.c

init.o: init.c
	$(CC) $(CFLAGS) -c init.c

errmessages.o: errmessages.c
	$(CC) $(CFLAGS) -c errmessages.c

helpmessages.o: helpmessages.c
	$(CC) $(CFLAGS) -c helpmessages.c

dummy.o: dummy.c
	$(CC) $(CFLAGS) -c dummy.c

polarit1.o: polarit1.c
	$(CC) $(CFLAGS) -c polarit1.c

polarit2.o: polarit2.c
	$(CC) $(CFLAGS) -c polarit2.c

trans1.o: trans1.c
	$(CC) $(CFLAGS) -c trans1.c

trans2.o: trans2.c
	$(CC) $(CFLAGS) -c trans2.c

trans3.o: trans3.c
	$(CC) $(CFLAGS) -c trans3.c

gpreadline.o: gpreadline.c
	$(CC) $(CFLAGS) $(MORECFLAGS) -c gpreadline.c

gp_rl.o: gp_rl.c
	$(CC) $(CFLAGS) $(MORECFLAGS) -c gp_rl.c

plot.c:	$(PLOTFILE)
	-$(RM) plot.c
	$(LN) $(PLOTFILE) plot.c

plot.o:	plot.c
	$(CC) $(CFLAGS) $(PLOTCFLAGS) -c plot.c

version.o:	version386.c
	$(CC) $(CFLAGS) -c -o version.o version386.c

../readline/Makefile:
	(cd ../readline ; CC='$(CC)' ; export CC ; CFLAGS='$(CFLAGS)' ; export CFLAGS ; configure)

../readline/libreadline.a: ../readline/Makefile
	(cd ../readline ; make CC='$(CC)' CFLAGS='$(CFLAGS)')

install: install-lib install-bin install-man

install-lib: $(OBJS) dummy.o
	-mkdir $(INCLUDEDIR)
	$(INSTALL_DATA) genpari.h $(INCLUDEDIR)
	$(INSTALL_DATA) gencom.h  $(INCLUDEDIR)
	$(INSTALL_DATA) genport.h $(INCLUDEDIR)
	$(INSTALL_DATA) gen68k.h $(INCLUDEDIR)
	$(INSTALL_DATA) erreurs.h $(INCLUDEDIR)
	$(INSTALL_DATA) mpansi.h $(INCLUDEDIR)
	$(INSTALL_DATA) mpdefs.h $(INCLUDEDIR)
	$(INSTALL_DATA) mpin.h $(INCLUDEDIR)
	-$(RM) libpari.a
	ar r libpari.a $(OBJS) dummy.o
	$(INSTALL_DATA) libpari.a $(LIBDIR)
	$(RANLIB) $(LIBDIR)/libpari.a

install-bin: gp
	$(INSTALL_PROGRAM) gp $(BINDIR)
	strip $(BINDIR)/gp

install-man: gp.1
	$(INSTALL_DATA) gp.1 $(MANDIR)/man1

clean:	
	-$(RM) *.o libpari.a gp genpari.h plot.c i386.s

## pari 2.3.3

=== Odos/Makefile ===
# Makefile for Pari/GP -- ix86 running DOS (ix86 kernel)
# This file was created by hand. Update it when config/ evolves
# $Id: Makefile,v 1.5 2001/03/26 22:20:24 karim Exp $
SHELL    = /bin/sh

CFLAGS   = -O3 -DGCC_INLINE -Wall
#  Uncomment for debugging version
#CFLAGS   = -g -Wall
#XTRAOINL = $(OINLINE)

LDOBJS  =$(OBJS)
LDOBJSGP=$(OBJSGP)
#  Uncomment if the shell complains about long lines (bash will not, DOS will)
#LDOBJS  =@objs
#LDOBJSGP=@objsgp

#  Correct according to your local configuration. We expect to find
#    standard libraries    in $PREFIX/lib
#    standard headers      in $PREFIX/include
#    gcc                   in $PREFIXBIN/bin
PREFIX=/usr/local/cross-tools/i386-mingw32msvc
PREFIX=/usr/local/i386-pc-cygwin32/i386-pc-cygwin32
#PREFIX=/usr/local
PREFIXBIN=/usr/local/cross-tools
PREFIXBIN=$(PREFIX)

CC        = $(PREFIXBIN)/bin/gcc
LD        = $(CC)
CPP       = $(CC) -E -I.
CPPFLAGS  = -I. -I../src/headers -I$(PREFIX)/include
LDFLAGS   = -L$(PREFIX)/lib

#  Uncomment (and correct) if you use EMX
#EMXBIND   = emxbind -q C:/emx/bin/emxl.exe  gp gp.exe -C0
#LDFLAGS   = -Zsysv-signals

RLLIBS    = -lreadline
#  Uncomment if you use GPRL.ZIP or correct if you installed readline in a
#  non-standard place
#RLDIR     = ../readline
#RLINCLUDE = -I$(RLDIR)
#RLLIBS    = -L$(RLDIR) -lreadline -ltermcap

# use del if RM is not found.
RM = rm -f
#RM = del

# Graphic library.
PLOTFILE   = plotnull.c
PLOTCFLAGS =
PLOTLIBS   =

OBJS   =  kernel.o mp.o es.o alglin1.o alglin2.o arith1.o arith2.o base1.o base2.o base3.o base4.o base5.o bibli1.o bibli2.o buch1.o buch2.o buch3.o buch4.o galconj.o gen1.o gen2.o gen3.o ifactor1.o mpqs.o polarit1.o polarit2.o polarit3.o rootpol.o trans1.o trans2.o trans3.o elliptic.o galois.o kummer.o nffactor.o stark.o subfield.o subgroup.o thue.o anal.o compat.o errmsg.o helpmsg.o highlvl.o init.o sumiter.o
OBJSGP =  gp.o gp_init.o gp_rl.o plot.o plotport.o whatnow.o
OINLINE = mpinl.o

dft: gp.exe

lib: libpari.a

all: dft lib

libpari.a: $(OBJS) $(OINLINE)
	-$(RM) $@
	ar r $@ $(OINLINE) $(LDOBJS)
	ar s $@

gp: $(OBJS) $(OBJSGP) $(XTRAOINL)
	$(LD) -o gp $(LDFLAGS) $(XTRAOINL) $(LDOBJS) $(LDOBJSGP) $(RLLIBS) $(PLOTLIBS) $(LIBS)

gp.exe: gp
	$(EMXBIND)

cleantest:
	$(RM) *.out *.dif pari.ps

clean: cleantest
	-$(RM) *.o *.s libpari.* gp gp.exe

HEADERS = pariinl.h ../src/headers/pari.h ../src/headers/paritype.h ../src/headers/paricast.h ../src/headers/paricom.h ../src/headers/parierr.h ../src/headers/parigen.h ../src/headers/paristio.h ../src/headers/parisys.h ../src/headers/pariport.h
level0.s: ../src/kernel/ix86/l0asm.c ../src/kernel/ix86/l0asm.h
	$(CPP) -o $@ ../src/kernel/ix86/l0asm.c
kernel.o: level0.s
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o kernel.o level0.s
mp.o: $(HEADERS) ../src/kernel/none/mp.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o mp.o ../src/kernel/none/mp.c
mpinl.o: $(HEADERS) ../src/kernel/none/level1.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o mpinl.o ../src/kernel/none/level1.c

alglin1.o: $(HEADERS)  ../src/basemath/alglin1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o alglin1.o ../src/basemath/alglin1.c
alglin2.o: $(HEADERS)  ../src/basemath/alglin2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o alglin2.o ../src/basemath/alglin2.c
arith1.o: $(HEADERS)  ../src/basemath/arith1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o arith1.o ../src/basemath/arith1.c
arith2.o: $(HEADERS)  ../src/basemath/arith2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o arith2.o ../src/basemath/arith2.c
base1.o: $(HEADERS) ../src/headers/parinf.h ../src/basemath/base1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base1.o ../src/basemath/base1.c
base2.o: $(HEADERS)  ../src/basemath/base2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base2.o ../src/basemath/base2.c
base3.o: $(HEADERS)  ../src/basemath/base3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base3.o ../src/basemath/base3.c
base4.o: $(HEADERS)  ../src/basemath/base4.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base4.o ../src/basemath/base4.c
base5.o: $(HEADERS)  ../src/basemath/base5.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base5.o ../src/basemath/base5.c
bibli1.o: $(HEADERS) ../src/headers/parinf.h ../src/basemath/bibli1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o bibli1.o ../src/basemath/bibli1.c
bibli2.o: $(HEADERS)  ../src/basemath/bibli2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o bibli2.o ../src/basemath/bibli2.c
buch1.o: $(HEADERS)  ../src/basemath/buch1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch1.o ../src/basemath/buch1.c
buch2.o: $(HEADERS) ../src/headers/parinf.h ../src/basemath/buch2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch2.o ../src/basemath/buch2.c
buch3.o: $(HEADERS)  ../src/basemath/buch3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch3.o ../src/basemath/buch3.c
buch4.o: $(HEADERS)  ../src/basemath/buch4.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch4.o ../src/basemath/buch4.c
galconj.o: $(HEADERS)  ../src/basemath/galconj.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o galconj.o ../src/basemath/galconj.c
gen1.o: $(HEADERS)  ../src/basemath/gen1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o gen1.o ../src/basemath/gen1.c
gen2.o: $(HEADERS)  ../src/basemath/gen2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o gen2.o ../src/basemath/gen2.c
gen3.o: $(HEADERS)  ../src/basemath/gen3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o gen3.o ../src/basemath/gen3.c
ifactor1.o: $(HEADERS)  ../src/basemath/ifactor1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o ifactor1.o ../src/basemath/ifactor1.c
mpqs.o: $(HEADERS)  ../src/modules/mpqs.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o mpqs.o ../src/modules/mpqs.c
polarit1.o: $(HEADERS)  ../src/basemath/polarit1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o polarit1.o ../src/basemath/polarit1.c
polarit2.o: $(HEADERS)  ../src/basemath/polarit2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o polarit2.o ../src/basemath/polarit2.c
polarit3.o: $(HEADERS)  ../src/basemath/polarit3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o polarit3.o ../src/basemath/polarit3.c
rootpol.o: $(HEADERS)  ../src/basemath/rootpol.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o rootpol.o ../src/basemath/rootpol.c
subgroup.o: $(HEADERS)  ../src/basemath/subgroup.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o subgroup.o ../src/basemath/subgroup.c
trans1.o: $(HEADERS)  ../src/basemath/trans1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o trans1.o ../src/basemath/trans1.c
trans2.o: $(HEADERS)  ../src/basemath/trans2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o trans2.o ../src/basemath/trans2.c
trans3.o: $(HEADERS)  ../src/basemath/trans3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o trans3.o ../src/basemath/trans3.c
elliptic.o: $(HEADERS)  ../src/modules/elliptic.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o elliptic.o ../src/modules/elliptic.c
galois.o: $(HEADERS)  ../src/modules/galois.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o galois.o ../src/modules/galois.c
kummer.o: $(HEADERS)  ../src/modules/kummer.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o kummer.o ../src/modules/kummer.c
nffactor.o: $(HEADERS)  ../src/modules/nffactor.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o nffactor.o ../src/modules/nffactor.c
stark.o: $(HEADERS)  ../src/modules/stark.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o stark.o ../src/modules/stark.c
subfield.o: $(HEADERS)  ../src/modules/subfield.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o subfield.o ../src/modules/subfield.c
thue.o: $(HEADERS)  ../src/modules/thue.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o thue.o ../src/modules/thue.c
anal.o: $(HEADERS) ../src/language/anal.h ../src/headers/parinf.h ../src/language/anal.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o anal.o ../src/language/anal.c
compat.o: $(HEADERS)  ../src/language/compat.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o compat.o ../src/language/compat.c
errmsg.o: $(HEADERS)  ../src/language/errmsg.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o errmsg.o ../src/language/errmsg.c
es.o: $(HEADERS) ../src/language/anal.h ../src/language/es.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o es.o ../src/language/es.c
helpmsg.o: $(HEADERS)  ../src/language/helpmsg.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o helpmsg.o ../src/language/helpmsg.c
highlvl.o: $(HEADERS)  ../src/gp/highlvl.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o highlvl.o ../src/gp/highlvl.c
init.o: $(HEADERS) ../src/language/anal.h ../src/language/init.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o init.o ../src/language/init.c
sumiter.o: $(HEADERS) ../src/language/anal.h ../src/language/sumiter.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o sumiter.o ../src/language/sumiter.c
gp.o: $(HEADERS) ../src/language/anal.h ../src/gp/gp.h ./paricfg.h ../src/gp/gp.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/language $(RLINCLUDE) -o gp.o ../src/gp/gp.c
gp_init.o: $(HEADERS) ../src/graph/rect.h ../src/gp/gp_init.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/graph -o gp_init.o ../src/gp/gp_init.c
gp_rl.o: $(HEADERS) ../src/language/anal.h ../src/gp/gp.h ./paricfg.h ../src/gp/gp_rl.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/language $(RLINCLUDE) -o gp_rl.o ../src/gp/gp_rl.c
plot.o: $(HEADERS) ../src/graph/rect.h ../src/graph/$(PLOTFILE)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(PLOTCFLAGS) -o plot.o ../src/graph/$(PLOTFILE)
plotport.o: $(HEADERS) ../src/graph/rect.h ../src/graph/plotport.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/graph -o plotport.o ../src/graph/plotport.c
whatnow.o: $(HEADERS) ../src/language/anal.h ./paricfg.h ../src/gp/whatnow.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/language -o whatnow.o ../src/gp/whatnow.c

## pari 2.3.5

=== debian/changelog ===
pari (2.3.5-1) unstable; urgency=low

  * New upstream release
    + 11797: make sure the build fails if gp cannot be installed.
    + 11799: Add gnu* to systems supporting intra-library dependencies.
  * Move to new source format 3.0 (quilt). Patches applied:
    - enable_build_envvar
    - install-docpdf
  * New patch: 
    - refcard-special-papersize: add \special{papersize=...} to doc/refcard.tex
    Closes: 461814. Thanks Vincent Lefevre.
  * debian/rules:
    - link gp with '-ld -lm' to allow linking with --no-add-needed.
    Closes: 556049. Thanks Peter Fritzsche.
  * debian/control:
    + Bump Standard-Version to 3.8.4.

 -- Bill Allombert <ballombe@debian.org>  Fri, 05 Feb 2010 12:33:29 +0100

pari (2.3.4-3) unstable; urgency=low

  * debian/control:
    + Build-depends on libreadline-dev instead of libreadline5-dev:
      Closes: 553823. Thanks Matthias Klose.
    + Bump Standard-Version to 3.8.3.

 -- Bill Allombert <ballombe@debian.org>  Wed, 04 Nov 2009 16:05:45 +0100

pari (2.3.4-2) unstable; urgency=low

  * Apply upstream fix for kfreebsd support: Closes: #537902
    + 11797: make sure the build fails if gp cannot be installed.
    + 11799: Add gnu* to systems supporting intra-library dependencies.
  * debian/control:
    + Bump Standard-Version to 3.8.2.
    + move libpari-dbg to section debug.

 -- Bill Allombert <ballombe@debian.org>  Tue, 21 Jul 2009 16:58:08 +0200

pari (2.3.4-1) unstable; urgency=low

  * New bugfix upstream release:
    + Fix upstream bug #741: Closes: #473810
     "mathnf(a,1) could have negative entries if non-trivial kernel"
    + No more ship useless files TODO and CVS.txt
    + Bump libpari shlibs to (>= 2.3.4-1).
  * debian/control:
    + Bump Standard-Version to 3.8.0.
  * doc-base files: update section for new doc-base policy.
  * debian/rules: 
    - Work-around for silly DEB_HOST_GNU_SYSTEM on armel. Closes: #491722.
      Thanks Timothy G Abbott.

 -- Bill Allombert <ballombe@debian.org>  Wed, 23 Jul 2008 09:59:11 +0200

pari (2.3.3-2) unstable; urgency=low

  * Ship documentation in PDF. Closes: #361431.
    Thanks Yann Dirson and Vincent Lefèvre.
  * Fix PARI_CPU for armel.

 -- Bill Allombert <ballombe@debian.org>  Sat, 19 Jan 2008 20:04:46 +0100

pari (2.3.3-1) unstable; urgency=low

  * New upstream release
  * Update menu entry to new menu structure.
  * debian/rules clean:
    + Check if doc/Makefile exists before doing make -C doc clean 
  * debian/control:
    + Bump Standard-Version to 3.7.3.
    + Move libpari-dbg to Priority: extra.
    + Move Homepage outside the description and to the source section.
    + Replace Source-Version by binary:version

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Jan 2008 13:09:31 +0100

pari (2.3.2-1) unstable; urgency=low

  * New upstream release. Closes: #418601
    - remove benchmark fix patch applied upsteam.
  * Apply patch from Mark Wooding to not delete pari.el at build time.
    Closes: #411140
  * debian/control: update for texlive:
    + Build-Depends on texlive-base instead of tetex-*.
    + pari-doc Recommends texlive-base instead of tetex-extra.

 -- Bill Allombert <ballombe@debian.org>  Fri, 13 Apr 2007 12:27:15 +0200

pari (2.3.1-2) unstable; urgency=low

  * Apply patch to fix benchmark on 64 bit plateforms.

 -- Bill Allombert <ballombe@debian.org>  Sat,  7 Oct 2006 15:19:08 +0200

pari (2.3.1-1) unstable; urgency=low

  * New upstream bugfix release
    - fix incorrect use of mp_set_memory_functions that break programs using 
      both PARI and MPFR. Thanks Sylvain Chevillard (PARI bug #484).
    - one extra symbol added (padic_sqrt, undocumented).
  * debian/watch: fix the regexp.
  * debian/rules:
   + dh_makeshlibs: call with -V '$(libpkg) (>= 2.3.1-1)'
   + do not link gp with -lncurses -lgmp and do not link libpari with -ld.
     Thanks Christian Aichinger for checklib.

 -- Bill Allombert <ballombe@debian.org>  Fri,  6 Oct 2006 13:00:00 +0200

pari (2.3.0-2) unstable; urgency=low

  * debian/rules:
   + Fix PARI_SYSTEM for kfreebsd-gnu. Closes: #341433.
   + Fix PARI_CPU for armeb.
   + Set EXTRAMODLDFLAGS to "-lc -lm -lpari" so that gp2c do not need to 
     depend uselessly on libgmp3-dev.
  * debian/control
   + libpari-dev now suggests pari-gp2c
  * config/get_modld:
   + Patch to preserve EXTRAMODLDFLAGS if set.

 -- Bill Allombert <ballombe@debian.org>  Wed, 28 Jun 2006 18:44:45 +0200

pari (2.3.0-1) unstable; urgency=low

  * New upstream release. Closes: #294931
    + Add support for GNU/kFreeBSD. Closes: #341433
    + Fix the URL in the manpage. Closes: #343625
    + Fix the refcard text overflow. Closes: #361440
    + No more include non-PIC asm code.
    + Build libpari with GMP support.
    + The libpari manual was split out of the main PARI/GP manual.
  * Move to debhelper v5 to use dh_strip --dbg-package.
  * config/get_cc, config/get_dlcflags:
    + Patch to preserve CFLAGS and DLCFLAGS.
      This is easier/safer than working around upstream behaviour.
  * debian/control:
    + Build-Depends on debhelper (>= 5)
    + pari-gp now suggests pari-gp2c
    + libpari1 replaced by libpari2-gmp.
    + Add libpari-dbg debugging package for use with gp2c-dbg.
    + Bump Standards-Version to 3.7.2.
    + Description: Remove outdated location.

 -- Bill Allombert <ballombe@debian.org>  Tue, 30 May 2006 22:14:14 +0200

pari (2.1.7-2) unstable; urgency=low

  * debian/config_build: 
    + Do not build with -fno-frame-pointer on m68k to avoid gcc ICE.

 -- Bill Allombert <ballombe@debian.org>  Thu, 13 Oct 2005 13:01:29 +0200

pari (2.1.7-1) unstable; urgency=low

  * New upstream release
    + This release adds support for gcc-4.0. Closes: #324568.
  * debian/copyright: 
    + Update URL.
    + Add full copyright statement from README
    + Update FSF address.
  * debian/control:
    + Bump Standards-Version to 3.6.2
    + Build-Depends on libx11-dev instead of xlibs-dev.
    + Switch to readline5. Closes: #326310. Thanks Matthias Klose.


=== debian/control ===
Source: pari
Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp3-dev
Build-Depends-Indep: texlive-base
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Standards-Version: 3.8.4
Homepage: http://pari.math.u-bordeaux.fr

Package: pari-gp
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pari-doc, pari-extra, pari-gp2c
Description: PARI/GP Computer Algebra System binaries
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the GP calculator.

Package: libpari-dev
Architecture: any
Section: libdevel
Provides: libpari2-gmp-dev
Replaces: libpari1-dev
Conflicts: libpari1-dev
Depends: libpari2-gmp (= ${binary:Version}), libc-dev, ${misc:Depends}
Suggests: libpari-dbg, pari-gp2c
Description: PARI/GP Computer Algebra System development files
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the include files and static library.

Package: libpari-dbg
Architecture: any
Priority: extra
Section: debug
Provides: libpari2-gmp-dbg
Depends: libpari2-gmp (= ${binary:Version}), ${misc:Depends}
Description: PARI/GP Computer Algebra System debugging symbols
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the debugging symbols for gp and libpari.

Package: libpari2-gmp
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PARI/GP Computer Algebra System shared library
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the shared library built with GNU MP support.

Package: pari-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: pari-gp,${perl:Depends},texlive-base
Description: PARI/GP Computer Algebra System documentation
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the documentation and the extended online help.

=== debian/rules ===
#!/usr/bin/make -f 
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Adapted for the PARI Debian package by Bill Allombert 2001-2006

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
#Architecture 
#I want to support "fakeroot debian/rules binary" way of building.
#PARI use sparcv7 for Debian/sparc and sparcv9 for Debian/sparc64
#
PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc),sparcv8_micro,$(PARI_CPU))
PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))

PARI_SYSTEM:=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
PARI_SYSTEM:=$(patsubst linux-gnu%,linux,$(PARI_SYSTEM))
PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -g -O0 -Wall 
else
CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
endif

include config/version
major = $(VersionMinor)
libpkg = libpari2-gmp

build: build-arch 

config: config-stamp
config-stamp:
	dh_testdir
	CC=cc CFLAGS="$(CFLAGS)" DLCFLAGS="-D_REENTRANT -fPIC" \
	  EXTRAMODLDFLAGS="-lc -lm -lpari" \
	  ./Configure \
            --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
            --builddir=obj-dyn --graphic=X11 --with-gmp
	CC=cc CFLAGS="$(CFLAGS)" DLCFLAGS="-D_REENTRANT" \
	  ./Configure \
            --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
            --builddir=obj-sta --graphic=X11 --with-gmp
	touch config-stamp

build-arch: build-arch-stamp
build-arch-stamp: config-stamp
	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lc -lm -lgmp"
	$(MAKE) -C obj-sta lib-sta
	$(MAKE) -C obj-dyn gp-dyn
ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
	$(MAKE) dobench -C obj-dyn
	$(MAKE) -C obj-sta gp-sta
	$(MAKE) dobench -C obj-sta
endif
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: config-stamp
	$(MAKE) doc docpdf
	touch build-indep-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp
	if [ -f doc/Makefile ]; then $(MAKE) clean -C doc; fi
	-rm -rf obj-dyn obj-sta
	-rm -f gp Makefile* examples/Makefile* 
	-rm -f doc/Makefile doc/gphelp doc/paricfg.tex
	-rm -f emacs/pari-conf.el misc/tex2mail
	-rm -f pari.log
	-rm -f Odos/paricfg.h
	-rm -f src/desc/pari.desc
	dh_clean -Xnumber_theoretical/core

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i -Xnumber_theoretical/core
	dh_installdirs -i
	$(MAKE) -C obj-dyn install-doc install-docpdf DESTDIR=`pwd`/debian/pari-doc/
	gzip --best debian/pari-doc/usr/share/pari/doc/*.pdf
	#But why this files are installed ??
	rm debian/pari-doc/usr/share/pari/doc/Makefile
	dh_install -i
	dh_installman -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -a -Xnumber_theoretical/core
	dh_installdirs -a
	$(MAKE) -C obj-dyn install-bin-dyn install-man LIBS="-lm -ldl" RLLIBS=-lreadline STRIP=true RUNPTH_FINAL= DESTDIR=`pwd`/debian/pari-gp
	rm debian/pari-gp/usr/share/man/man1/gphelp.1
	$(MAKE) -C obj-dyn install-lib-dyn DESTDIR=`pwd`/debian/$(libpkg)
	$(MAKE) -C obj-sta install-lib-sta DESTDIR=`pwd`/debian/libpari-dev
	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
	dh_install -a
	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
	install -p -m 644 debian/emacs-readme debian/pari-gp/usr/share/doc/pari-gp/emacs/README.Debian
	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
	dh_strip -a --dbg-package=libpari-dbg
	dh_makeshlibs -a -V '$(libpkg) (>= 2.3.4-1)'
	dh_shlibdeps -a -l debian/$(libpkg)/usr/lib -L$(libpkg)

#Must not depend on anything. This is to be called by binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs CHANGES
	dh_link
	dh_compress -Xparimacro -X.el
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: clean binary-indep binary-arch binary config 
.PHONY: install install-indep install-arch 
.PHONY: build build-arch build-indep

## pari 2.5.0

=== debian/changelog ===
pari (2.5.0-2ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Build using gcc-4.4 on armel to workaround test failure.
    - Don't link explicitly against libc.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 17 Nov 2011 14:25:33 -0500

pari (2.5.0-2) unstable; urgency=low

  * New patches: 
    - fix_multiarch_support (supercede find_libX11_multiarch):
      work-around lack of multiarch support in locatelib
    - fix_pari_init_functions:
      work-around compiler issue on sparc (see #635214)
  * debian/control
    - replace pari-extra by pari-galdata, pari-elldata, pari-seadata
      and pari-galpol.

 -- Bill Allombert <ballombe@debian.org>  Sun, 11 Sep 2011 17:54:50 +0200

pari (2.5.0-1ubuntu1) oneiric; urgency=low

  * Build using gcc-4.4 on armel to workaround LP: #838197.
  * Don't link explicitly against libc.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Sep 2011 15:55:06 +0200

pari (2.5.0-1) unstable; urgency=low

  * New upstream release
    - patch enable_build_envvar reduced to CFLAGS only.
    - patch install-docpdf removed: applied upstream.
    - patch refcard-special-papersize removed: applied upstream.
    - libpari soname bumped to 3.
    - emacs directory removed.
    - patch find_libX11_multiarch added: fix X11 detection.
  * debian/control:
    + libpari2-gmp replaced by libpari3-gmp.
    + Bump Standards-Version to 3.9.2.
  * debian/rules: adjust for libpari3-gmp.
    - Do not use -D_REENTRANT
  * debian/gprc.dft:
    - add histfile, remove strictmatch.
  * debian/libpari3-gmp.postinst: 
    - removed. This is handled by dh_makeshlibs.

 -- Bill Allombert <ballombe@debian.org>  Fri, 22 Jul 2011 23:24:17 +0200

pari (2.3.5-2) unstable; urgency=low

  * debian/control:
    + Bump Standard-Version to 3.9.1.
    + Build-Depends on libgmp-dev instead of libgmp3-dev.

 -- Bill Allombert <ballombe@debian.org>  Fri, 18 Mar 2011 09:21:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: pari
-Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp3-dev
+Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp-dev, gcc-4.4 [armel armhf]
 Build-Depends-Indep: texlive-base
 Section: math
 Priority: optional
-Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Standards-Version: 3.9.2
 Homepage: http://pari.math.u-bordeaux.fr
-
+ 
 Package: pari-gp
 Architecture: any
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: pari-doc, pari-extra, pari-gp2c
+Recommends: pari-doc, pari-galdata, pari-elldata, pari-seadata
+Suggests: pari-gp2c, pari-galpol
 Description: PARI/GP Computer Algebra System binaries
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
@@ -30,10 +32,10 @@
 Package: libpari-dev
 Architecture: any
 Section: libdevel
-Provides: libpari2-gmp-dev
+Provides: libpari-gmp3-dev
 Replaces: libpari1-dev
 Conflicts: libpari1-dev
-Depends: libpari2-gmp (= ${binary:Version}), libc-dev, ${misc:Depends}
+Depends: libpari-gmp3 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Suggests: libpari-dbg, pari-gp2c
 Description: PARI/GP Computer Algebra System development files
  PARI/GP is a widely used computer algebra system designed for fast
@@ -54,8 +56,8 @@
 Architecture: any
 Priority: extra
 Section: debug
-Provides: libpari2-gmp-dbg
-Depends: libpari2-gmp (= ${binary:Version}), ${misc:Depends}
+Provides: libpari-gmp3-dbg
+Depends: libpari-gmp3 (= ${binary:Version}), ${misc:Depends}
 Description: PARI/GP Computer Algebra System debugging symbols
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
@@ -71,7 +73,7 @@
  .
  This package contains the debugging symbols for gp and libpari.
 
-Package: libpari2-gmp
+Package: libpari-gmp3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f 
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-# Adapted for the PARI Debian package by Bill Allombert 2001-2006
+# Adapted for the PARI Debian package by Bill Allombert 2001-2011
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -21,27 +21,31 @@
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+ifneq (,$(filter $(DEBIAN_ARCH), armel armhf))
+  CC=gcc-4.4
+else
+  CC=cc
+endif
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -g -O0 -Wall 
+CFLAGS = -g -O0 -Wall -fno-strict-aliasing
 else
 CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
 endif
 
-include config/version
-major = $(VersionMinor)
-libpkg = libpari2-gmp
+major = 5
+libpkg = libpari-gmp3
 
 build: build-arch 
 
 config: config-stamp
 config-stamp:
 	dh_testdir
-	CC=cc CFLAGS="$(CFLAGS)" DLCFLAGS="-D_REENTRANT -fPIC" \
-	  EXTRAMODLDFLAGS="-lc -lm -lpari" \
+	CC=$(CC) CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
-            --builddir=obj-dyn --graphic=X11 --with-gmp
-	CC=cc CFLAGS="$(CFLAGS)" DLCFLAGS="-D_REENTRANT" \
+            --builddir=obj-dyn --graphic=X11 --with-gmp 
+	CC=$(CC) CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --builddir=obj-sta --graphic=X11 --with-gmp
@@ -49,8 +53,8 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: config-stamp
-	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lc -lm -lgmp"
-	$(MAKE) -C obj-sta lib-sta
+	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lm -lgmp"
+	$(MAKE) -C obj-sta lib-sta DLCFLAGS=""
 	$(MAKE) -C obj-dyn gp-dyn
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) dobench -C obj-dyn
@@ -97,16 +101,16 @@
 	dh_installdirs -a
 	$(MAKE) -C obj-dyn install-bin-dyn install-man LIBS="-lm -ldl" RLLIBS=-lreadline STRIP=true RUNPTH_FINAL= DESTDIR=`pwd`/debian/pari-gp
 	rm debian/pari-gp/usr/share/man/man1/gphelp.1
+	rm -r debian/pari-gp/usr/lib
 	$(MAKE) -C obj-dyn install-lib-dyn DESTDIR=`pwd`/debian/$(libpkg)
 	$(MAKE) -C obj-sta install-lib-sta DESTDIR=`pwd`/debian/libpari-dev
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
 	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
 	dh_install -a
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
-	install -p -m 644 debian/emacs-readme debian/pari-gp/usr/share/doc/pari-gp/emacs/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg
-	dh_makeshlibs -a -V '$(libpkg) (>= 2.3.4-1)'
+	dh_makeshlibs -a -V '$(libpkg) (>= 2.5.0-1)'
 	dh_shlibdeps -a -l debian/$(libpkg)/usr/lib -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep

## pari 2.5.1

=== debian/changelog ===
pari (2.5.1-2) unstable; urgency=high

  * New patch gcc-4.7-linear-fix to fix build failure with gcc-4.7.
    Closes: 673308
  * debian/control:
    + Bump Standards-Version to 3.9.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 04 Jun 2012 10:11:20 +0200

pari (2.5.1-1) unstable; urgency=low

  * New upstream release. This release
    - Fix multiarch support: Patch fix_multiarch_support removed.
      This also takes care of the missing GMP version in the banner.
  * debian/rules:
   - Fix detection of powerpc ABI.
   - Generate pari.cfg.dbg and add it to libpari-dev (Useful for gp2c-dbg).
  * New patch:
    - tex2mail-Getopt-Long: change tex2mail to use Getopt::Long instead of 
      perl4 module.
  * debian/control:
    - No more Build-Depends on libncurses5-dev

 -- Bill Allombert <ballombe@debian.org>  Mon, 06 Feb 2012 23:00:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pari
-Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp-dev, gcc-4.4 [armel armhf]
+Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libgmp-dev
 Build-Depends-Indep: texlive-base
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Bill Allombert <ballombe@debian.org>
+Standards-Version: 3.9.3
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp

=== debian/rules ===
--- 
+++ 
@@ -15,20 +15,16 @@
 PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc),sparcv8_micro,$(PARI_CPU))
 PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))
+PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc),ppc,$(PARI_CPU))
 
 PARI_SYSTEM:=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 PARI_SYSTEM:=$(patsubst linux-gnu%,linux,$(PARI_SYSTEM))
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEBIAN_ARCH), armel armhf))
-  CC=gcc-4.4
-else
-  CC=cc
-endif
-
+DBGCFLAGS = -g -O0 -Wall -fno-strict-aliasing
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -g -O0 -Wall -fno-strict-aliasing
+CFLAGS = $(DBGCFLAGS)
 else
 CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
 endif
@@ -41,19 +37,23 @@
 config: config-stamp
 config-stamp:
 	dh_testdir
-	CC=$(CC) CFLAGS="$(CFLAGS)" \
+	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --builddir=obj-dyn --graphic=X11 --with-gmp 
-	CC=$(CC) CFLAGS="$(CFLAGS)" \
+	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --builddir=obj-sta --graphic=X11 --with-gmp
+	CC=cc CFLAGS="$(DBGCFLAGS)" \
+	  ./Configure \
+            --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --builddir=obj-dbg --graphic=X11 --with-gmp
 	touch config-stamp
 
 build-arch: build-arch-stamp
 build-arch-stamp: config-stamp
-	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lm -lgmp"
+	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lc -lm -lgmp"
 	$(MAKE) -C obj-sta lib-sta DLCFLAGS=""
 	$(MAKE) -C obj-dyn gp-dyn
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
@@ -72,7 +72,7 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp config-stamp
 	if [ -f doc/Makefile ]; then $(MAKE) clean -C doc; fi
-	-rm -rf obj-dyn obj-sta
+	-rm -rf obj-dyn obj-sta obj-dbg
 	-rm -f gp Makefile* examples/Makefile* 
 	-rm -f doc/Makefile doc/gphelp doc/paricfg.tex
 	-rm -f emacs/pari-conf.el misc/tex2mail
@@ -107,6 +107,7 @@
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
 	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
 	dh_install -a
+	install -p -m 644 obj-dbg/pari.cfg debian/libpari-dev/usr/lib/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg

## pari 2.5.5

=== debian/changelog ===
pari (2.5.5-1) unstable; urgency=low

  * New upstream release
    - Fix detection of multiarch GMP.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
  * debian/rules:
    - Add CPU mapping for s390x, sparc64 and ppc64

 -- Bill Allombert <ballombe@debian.org>  Tue, 24 Sep 2013 20:49:44 +0200

pari (2.5.4-1) unstable; urgency=low

  * New upstream release. Closes: #703116
    - Fix gcc-4.7 support. Patch gcc-4.7-linear-fix removed.
    - Update tex2mail. Patch tex2mail-Getopt-Long removed.
  * Multiarchify libpari-gmp3. 

 -- Bill Allombert <ballombe@debian.org>  Mon, 13 May 2013 14:31:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
@@ -57,6 +57,7 @@
 Section: debug
 Provides: libpari-gmp3-dbg
 Depends: libpari-gmp3 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: PARI/GP Computer Algebra System debugging symbols
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
@@ -76,6 +77,8 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: PARI/GP Computer Algebra System shared library
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,17 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 #Architecture 
-#I want to support "fakeroot debian/rules binary" way of building.
-#PARI use sparcv7 for Debian/sparc and sparcv9 for Debian/sparc64
+#PARI use sparcv8_micro for Debian/sparc and sparcv9 for Debian/sparc64
 #
 PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc),sparcv8_micro,$(PARI_CPU))
+PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc64),sparcv9,$(PARI_CPU))
+#Catch mips/mipsel
 PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))
-PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc),ppc,$(PARI_CPU))
-
+#Catch powerpc/powerpc64
+PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc64),ppc,$(PARI_CPU))
+#Catch s390/s390x
+PARI_CPU:=$(if $(findstring $(PARI_CPU),s390x),s390,$(PARI_CPU))
 PARI_SYSTEM:=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 PARI_SYSTEM:=$(patsubst linux-gnu%,linux,$(PARI_SYSTEM))
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
@@ -31,6 +34,7 @@
 
 major = 5
 libpkg = libpari-gmp3
+libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 
 build: build-arch 
 
@@ -40,14 +44,17 @@
 	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) \
             --builddir=obj-dyn --graphic=X11 --with-gmp 
 	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) \
             --builddir=obj-sta --graphic=X11 --with-gmp
 	CC=cc CFLAGS="$(DBGCFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) \
             --builddir=obj-dbg --graphic=X11 --with-gmp
 	touch config-stamp
 
@@ -105,14 +112,14 @@
 	$(MAKE) -C obj-dyn install-lib-dyn DESTDIR=`pwd`/debian/$(libpkg)
 	$(MAKE) -C obj-sta install-lib-sta DESTDIR=`pwd`/debian/libpari-dev
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
-	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
+	mv debian/$(libpkg)/$(libtriplet)/libpari.so debian/libpari-dev/$(libtriplet)
 	dh_install -a
 	install -p -m 644 obj-dbg/pari.cfg debian/libpari-dev/usr/lib/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg
 	dh_makeshlibs -a -V '$(libpkg) (>= 2.5.0-1)'
-	dh_shlibdeps -a -l debian/$(libpkg)/usr/lib -L$(libpkg)
+	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
 # in another 'make' thread.
